<script>
import { reduce } from "d3-array";

  import {scaleLinear} from "d3-scale";

  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 10, right: 20, bottom: 20, left: 20 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Arrays
  const points = [
    innerWidth / 2 - 60,
    innerWidth / 2 - 30,
    innerWidth / 2,
    innerWidth / 2 + 30,
    innerWidth / 2 + 60
  ];

  // All lights with a higher index are on!
  let index = points.length;
  // Color
  let color = "darkred";
  let opacities = [0.3, 0.3, 0.3, 0.3, 0.3];

  function reduceIndex(){
    index = index-1;
    opacities[index] = 1;
  }

  $: if(index<0){
    clearInterval(interval_second);
    color = "darkgreen";
  }

  const interval_second = setInterval(reduceIndex, 1000);

</script>

<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
    <!--  -->
    {#each points as point, idx}
      $: <circle fill="{color}" cx={point} cy={innerHeight/2} r=10 opacity={opacities[idx]}/>
    {/each}
  </g>
</svg>
